Subject: Re: bug#64999: Acknowledgement (emacs-next: emacs-29.1 fails to native-compile libraries, giving a runtime error that ctri.o and other files can't be found)

From: Josselin Poiret <[email-masked]>
Date: Sun, 06 Aug 2023 10:10:10 +0200

Hi Adam,

Adam Porter <[email-masked]> writes:

> OTOH, if anyone knows why the transformation option failed in that way, 
> it might be helpful to solve it if possible, so users could use the 
> option to install future releases without having to modify the package 
> definition.  (AFAIK, I was able to do that for various Emacs 28 versions 
> without this problem, so I wonder if something's changed.)

It's probably because emacs is missing the
emacs-native-comp-driver-options.patch patch of emacs-next.  Package
transformations can't and won't replace the manual work of packaging new
versions, so I think it is unreasonable to expect emacs 28's package
definition to work with emacs 29.

Best,
-- 
Josselin Poiret